# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm) perl(Image/PNG/Libpng.pm) perl(Imager.pm) perl(Scalar/Util.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Image-Similar
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: find out how similar two images are
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BK/BKB/%{module_name}-%{module_version}.tar.gz

%description
This is an experimental module for comparing images. It uses a
simplified form of the algorithm described in the An image signature for any kind of image entry elsewhere in this document to calculate image signatures and distances
between images.

The module does not contain its own image-reading facility, so images
must be loaded to the module via one of the following supported Perl
modules:

=over

=item the GD manpage

All image types are supported. RGB images are combined to greyscale
using constants taken from the source code of the Imager manpage.

=item the Imager manpage

All image types are supported. Unless you only need to compare PNG
images, and if you have no prior preference, we suggest using Imager
since it is a very well-behaved module. The conversion to greyscale is
done using Imager's own routines.

=item the Image::PNG::Libpng manpage

This is used for some internals of Image::Similar related to testing
thus it was installed when you installed Image::Similar. However,
Image::PNG::Libpng is only for PNG images.

Image::Similar currently supports GRAY, GRAY_ALPHA, RGB, and RGBA
`Image::PNG::Libpng' image types, but not paletted image types. It
only supports bit depths of eight.

RGB images are combined to greyscale using constants taken from the
source code of the Imager manpage. As of this version, there is no handling of
the alpha channel (transparent pixels) and the background value is
ignored.

=back

Use the load_image entry elsewhere in this document to load the image.

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_archlib/I*
%perl_vendor_autolib/*

%changelog
* Tue Mar 22 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

